commit 635cd066b9ba322b258cc44a2faede3cca1ef80b
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Sun Jul 2 21:22:06 2017 +0200

    ready for 2.1-1

commit b80e813e8c39f65bfa00439f26fcb529bfa9ae8d
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Sun Jul 2 21:20:21 2017 +0200

    add all Fortran authors

commit 86764d592c51c60633ce244566eb63f5fab35cd9
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Fri Jun 30 18:23:25 2017 +0200

    ready for push to CRAN

commit b2cca2f08887298349cd372d41c742840e1fd760
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Thu Jun 29 16:31:00 2017 +0200

    ready for last revdepcheck

commit ffb11a84bfb259da919f43661e6438a0184c7335
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Thu Jun 29 13:24:22 2017 +0200

    force64 and spamlist

commit 9fe27f43165ea1379c9c7c9991860672f4b044dc
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Jun 28 17:24:39 2017 +0200

    ChangeLog

commit a058f606a4bdd403e9b643d2d93f42efbcf8216f
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Jun 28 09:08:18 2017 +0200

    Final push for release 2.1-0

commit 389fca705fb5b92ac179dc76e6dc8c2bb5021cd0
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Jun 20 06:26:48 2017 +0200

    Rd headers:

commit c955c9a9c5c97e84a585a5292142edc768e79303
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Mon Jun 19 20:08:38 2017 +0200

    minor stuff

commit 6f4c72ffb79cd7a68e8a866c4623990b5fe71ff8
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Mon Jun 19 16:17:08 2017 +0200

    Header R files

commit eabd1c363fc24b02c538f88f651df4c8111d4707
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Mon Jun 19 08:45:24 2017 +0200

    R's contribution

commit 487277c8b5cc0b96b981c9fd8ed2fe226579daa9
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Jun 7 15:08:19 2017 +0200

    getting closer... one nasty one remaining

commit c12c2cafd0a4a21e842dc81f27137d6149360dec
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Jun 7 10:50:02 2017 +0200

    runs almost

commit c35765f8115df8c1c73d2834d0ec54a1394885ca
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Jun 6 20:32:38 2017 +0200

    more about init

commit a1b728d68bbe379a09391ccc7d58e141ed09b1d8
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Jun 6 16:04:08 2017 +0200

    init.c step by step

commit 642ccab77e8cedc27b8ca5ef818d55a110cd53f4
Merge: bd49f66 95152b9
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Jun 6 14:35:34 2017 +0200

    Merge branch 'migrate' of git.math.uzh.ch:reinhard.furrer/spam-devel into migrate
     ?

commit 95152b998b1dc0acd14d132409fda34b35cf5fb9
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Jun 6 14:34:44 2017 +0200

    stab at init.c

commit bd49f6684eb857b49970fc4f41a72d3bfbffd4ef
Merge: f3c6d76 596a660
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Jun 6 11:20:31 2017 +0200

    Merge branch 'migrate' of git.math.uzh.ch:reinhard.furrer/spam-devel into migrate
    ?

commit f3c6d7626742e7caddbfb295863de13309f7c19b
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Jun 6 11:20:22 2017 +0200

    typo

commit 596a660c278bbf23fc9ac920d7f955dd69182fe3
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Jun 6 08:58:42 2017 +0200

    new weblink for sparsekit

commit af7b37106a791b85bc2655e402d369092ec3af93
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon May 8 12:12:05 2017 +0200

    Fixed diag.Rd manual file to fit new R distribution.

commit 6cb1f2ee9cca2b629e30fa11e1584d422d39be5f
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon May 8 11:20:47 2017 +0200

    Improved 1st line of header and header content is now adapted by changing spam-devel/headerR only.

commit 8ebddff3ad55584e5f014e4b025d7c2f6f944ea1
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu May 4 14:58:25 2017 +0200

    Added generic way of inserting headers: make headers. To be improved.

commit b3af9e290e95494aa8b7b9e1ba445487cb0620d1
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue May 2 15:18:11 2017 +0200

    Changed Title to fit title case criterion.

commit 65680f7d9e6d5b1e18b31f3017104066f1328490
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue May 2 14:31:59 2017 +0200

    Commented print in spam_solve.R -> make check: 3Notes 1Warning.

commit dcd1872d940c49a757f48027e3d7f1870a614e01
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue May 2 14:31:05 2017 +0200

    Version ..-6 instead of .. -06 and added Daniel Gerber as contributor in DESCRIPTION.

commit 189906463e203c95296f6d406ce4e1ce37c99309
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue May 2 14:04:44 2017 +0200

    ...

commit ec194faeea6adedada1cb1cb83f31c78ea5b88f5
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Apr 20 12:25:17 2017 +0200

    packed chol.spam in test format.

commit 631a43ba4f1c876bcfba15d3c0f896140ee76250
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Apr 20 12:17:24 2017 +0200

    ...

commit e62f0aebfc6368ab29b9fa772751cf205c79add6
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Apr 20 11:50:56 2017 +0200

    Improved INTENT of chol.spam.

commit ce6f8609cfbb0fa433828e4526045b110687d433
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Fri Apr 14 20:19:56 2017 +0200

    typo

commit b94f72c056b4e735d836657495d54f3d0e099bcd
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Apr 11 15:25:34 2017 +0200

    Completet Migrationlog.

commit 742985b6953e3cd55218092668924e4907cadfd2
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Apr 11 14:37:30 2017 +0200

    Test for dist.R.

commit fd0de40425fed51c92983a549b2920a54816a902
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Apr 11 14:37:06 2017 +0200

    Added intent to dist.R. for geodist works only up to 1e-5..

commit 457b3aba7a071b0958221f6ee71dcf6a16e12963
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Apr 11 11:57:03 2017 +0200

    ...

commit 3d5f5b06d7612de9c8f42d2edeee6e7adc0fdf23
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Apr 11 11:46:54 2017 +0200

    Added some getOption("spam.force64").

commit a61e82a0ff358c8371dfd4ce8044d461e76a5475
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Apr 11 11:45:41 2017 +0200

    Added all force64 tests of functions in definitions.R to test-definitions.R

commit 76fc1d5a1b55cd1b725b8926de97cecb3735f581
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Apr 11 10:07:14 2017 +0200

    Update MigrationLog.csv. Add intent. Put as.matrix.spam test into test-definitions. Added other tests.

commit 85038401ae642a9364ac14a6209dd252cb33aa97
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Apr 11 09:10:06 2017 +0200

    Added test for as.spam.spam.

commit 701f709fe00a1a63590ab763af772d5a7e789afc
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Apr 10 13:11:36 2017 +0200

    Removed dummy error in xybind.R

commit 8d30855808f0c3dd61249ec8b9ded2d8e163a12b
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Apr 10 13:10:57 2017 +0200

    Added tests for diag.of.spam and diag<-.spam

commit ecf2a3ae1a731142d8b79f6f6af4f461bb8f2d78
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Apr 10 13:10:04 2017 +0200

    Comand 'make TARGET=filename' available, i.e. 'make TARGET=dim'.

commit 9b1c8666cfcc4277fb2b04706e08f9acc995570c
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Mar 31 12:54:45 2017 +0200

    all functions migration log.

commit 94efb2e49861a7865ec5cf82b319ec3fa6bd14b4
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Mar 31 12:44:30 2017 +0200

    more comments.

commit a55ff71d273c199257f26cc49e39d177cd9cc8f2
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Mar 31 12:43:06 2017 +0200

    Cleaned comments and added force64 option.

commit 1422ebd56ed8ba7c42e967fa73d85c409af2d0c3
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Mar 31 12:39:30 2017 +0200

    updated migration log.

commit 9b78e29a5c964bd4a19af27696739b178d53b50e
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Mar 19 20:21:01 2017 +0100

    Melded modernized arithmetic Fortran from branch daniel into migrate. make check ok.

commit 8b24e9f0c439955fe5a5536294bb2418af6a285c
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Mar 19 19:47:48 2017 +0100

    Cleanup

commit c13a7c6e0afe7ac85474dace54e9036a51e114b7
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Mar 19 19:19:20 2017 +0100

    Fixed make check error.

commit 3f73b86dbd73a4d8b6b64878fdf4d11fe3cace22
Merge: d74d590 a786e08
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Mar 19 14:41:02 2017 +0100

    More merge

commit d74d590300d5653035ef522c1328fe072fc6b979
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Mar 19 14:39:40 2017 +0100

    Preparation merge.

commit 25d5a7d8ae2b721276e2e2acfcbabb5fc035f830
Merge: 6755ba4 f71cf86
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Mar 19 13:54:10 2017 +0100

    More merge.

commit 6755ba4c2154c67f5c4c77b426ca21191aedf7b1
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Mar 19 13:42:24 2017 +0100

    Merge preparation.

commit a786e0829536f9ff951ef0facf88eb32d33318d8
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Mar 19 11:38:09 2017 +0100

    Scratch

commit f71cf86f66dfa33f3cba764c644b246dc55afba7
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Tue Mar 7 11:07:44 2017 +0100

    minor ..

commit 7c507ae9fb0261a3df3ffadc80ec7a7d4c40de4f
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Tue Mar 7 10:54:07 2017 +0100

    makefile in migrate_tests/

commit 0fbd78fc426cc8f905799d52b2a061ac94da678c
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Tue Mar 7 10:38:36 2017 +0100

    improved makefile

commit fd03e1cd5c5b808d6760889efbd65dbc8bd326e3
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Mar 6 17:34:43 2017 +0100

    Update MigrationLog.csv until definitions.R .spam.mat.mul...

commit 4e145a842991bee86d7ed29824bcbb61aad90fd5
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Mar 6 16:36:41 2017 +0100

    Cleanup Todo + list Migrationlog of spam_solve.R

commit 72750ca7c05cb9fe8b6f17d84dc0be0ab214b38d
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Mar 6 15:47:11 2017 +0100

    Test MigrationLog.csv.

commit 1850a2dd682ee245246ba257024655e7d0e11b75
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Mar 6 15:45:32 2017 +0100

    Test MigrationLog.ods

commit fd83527271c35e75d73a075b33e9bf203ebb19e2
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Mar 6 14:37:39 2017 +0100

    Chol2inv migrated and test added to test-spam_solve.R.

commit 121ec1365a4043b16ec8e1c1d5bfbc91d32aeca9
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Mar 6 14:00:25 2017 +0100

    S4 method spam of function spam is now set to function as.spam. This solves the problem in migrate_tests/test-spamlist.R

commit ba6c89ded9cdc73ba8040aee30a211930cdbb9aa
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Jan 16 15:58:17 2017 +0100

    Fixed spelling mistake in context.

commit c2521a21b627b5324929b7c089c35c8ebb0cbdf1
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Jan 15 18:18:39 2017 +0100

    Added some force64 options, where they were forgotten.

commit 3af3de6ba4c706aff8d6fa04371e24eae76b7bb6
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Jan 15 18:00:46 2017 +0100

    Somehow bug is gone.. Check OK.

commit a12054e96a7602c027f7c3e5b25bfa10144656a5
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Jan 15 17:04:53 2017 +0100

    Unmigrated as.matrix(chol). Make check OK.

commit 46b9d77b8dd58068d0c78e121c70a6d689ccfb98
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Jan 15 16:39:23 2017 +0100

    Migrated as.matrix(chol). Make check fails..

commit d99305d17831b903e271a91f29d87d435a55d8e7
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Jan 15 15:24:45 2017 +0100

    Error detected in chol2inv: chol2inv(css) !=chol2inv(ctt). This on purpose?

commit a18ba86cc18ecd3471f3d96c28061fc62461a84c
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Jan 15 15:22:38 2017 +0100

    Migration of solve.spam.

commit 38eb3e5c57708f7ab34b3887faaa2473045fcc87
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Jan 13 14:33:49 2017 +0100

    Migrated update.spam.chol.Ng... to .C64.

commit 8c6f80a5ff0639fc8f7db33cbb7960ec16134c1e
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Jan 13 13:49:38 2017 +0100

    Migrated c method for NgPeyton object. Fixed recusive bug.

commit 3187e6f1a2e0f13d56a938e153190ab964cc4b05
Merge: 1dcc050 68bcdc1
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Jan 13 12:28:51 2017 +0100

    Merge branch 'toeplitz' into 'migrate'
    
    Toeplitz
    
    Toepliz.R migrated to .C64.
    Specifically, toeplitz.spam and circulant.spam are now .C64 compatible.
    Not tested for 64bit.
    
    Check ok.
    
    See merge request !21

commit 68bcdc180bd12ba4ec831188590fae18ab187b64
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Jan 13 12:21:56 2017 +0100

    Migration circulant.spam complete. Check OK.

commit 203b38e9c29dbdb35b107ee705f269cf95131a56
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Jan 13 11:35:07 2017 +0100

    Migration toeplitz complete. Check Ok.

commit 0acb09248524cc78bd44cc9b2f3890a9307afa55
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 22:40:19 2017 +0100

    Almost complete test.

commit d3bd848ce4aed7ac013a3763976bfd8f6b818447
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 22:31:16 2017 +0100

    Migration toepliz.R (actually toeplitz!! with tz). Check OK.

commit 1dcc050df477efc33aac9a47fc9e187c788c2c57
Merge: 7fc1834 59ae4b6
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 21:54:23 2017 +0100

    Merge branch 'definitions' into 'migrate'
    
    Definitions
    
    Migrated remaing functions in definitions.R to .C64.
    In particular, assign.spam, all.equal and subassignment.
    Tests not yet for 64bit.
    Check ok.
    
    See merge request !20

commit 59ae4b6003408ffe9f93eb1335d222d0123d869a
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 21:51:30 2017 +0100

    Migration of all.equal completed.

commit 5a09c63895a21ee7085f0b2054de7a84428ff4e4
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 19:11:46 2017 +0100

    Test-definitions.R extended to include assign.spam.

commit b1b5b4962023e33e0b728b0db748a5c665632632
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 18:42:32 2017 +0100

    Assign.spam migration complete.Check OK.

commit efef16ba32ddc34cf39aea9bf8d50b5e7dd475e8
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 17:17:09 2017 +0100

    First half of assign.spam migrated. Check OK.

commit 2368d833c080da515280e30157012098ed45a66e
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 15:32:43 2017 +0100

    First test in test-definitions.R under subass.

commit 95ec7601e787231d85423eff6f4730a915239119
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 15:06:58 2017 +0100

    .newSpam added. Check OK.

commit 4be56abf54e0251e5ee37c43b984f2c3db9979a7
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 14:55:54 2017 +0100

    Introduced INTENT argument to subass.

commit f49ae3c2e03c2d290058e924742174ab653500a9
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 14:47:45 2017 +0100

    First successful migration subass. Check OK.

commit 3d9d785cce66efb107abc46947ec0fe129ab7598
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Jan 12 14:26:05 2017 +0100

    Bug identified. Make check still fails.

commit 5848c57ce6a93b27bd5c3497e77fcf1253a64961
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Jan 11 14:09:44 2017 +0100

    Migration of as.spam.list. Check: Error.

commit 7fc18345597af7800407f3882786c40f36fd11e7
Merge: f30f3db 18c085d
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 10 19:59:29 2017 +0100

    Merge branch 'getbandwith' into 'migrate'
    
    Migrated bandwidth function to .C64. Not tested with 64bit yet.
    
    check ok
    
    See merge request !19

commit 18c085dc2672393affea91f4afe84f2950eca6e9
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 10 19:58:11 2017 +0100

    Migrated bandwidth function to .C64. Not tested with 64bit yet.

commit f30f3dbeaa1f5afd8b311ab284a4ead268dac8fa
Merge: e9dc3fc 99030db
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 10 18:33:51 2017 +0100

    Merge branch 'subset' into 'migrate'
    
    Subset
    
    migrate subset to .C64
    deleted logical argument iw in amask (fortran ->fromsparsekit.f)
    created own function subset.matrix.me which does S[S5] in migrate_test. Including drop argument.
    
    check oK
    
    See merge request !18

commit 99030db5c0692c27a06fbb9214bed1fb2ac3abbe
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 10 18:31:08 2017 +0100

    Migration subset R complete. Not tested for 64bit.

commit 6534a1af59dd46bb5819effa41190b99b20f94e6
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 10 14:48:10 2017 +0100

    First try migration subset to .C64.

commit e9dc3fc44624a72ceddac6cfc1c95f9ec8398e28
Merge: b489ba6 33a37d5
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Jan 9 18:21:29 2017 +0100

    Merge branch 'kronecker' into 'migrate'
    
    Kronecker
    
    Kronecker migrated to .C64. not tested for 64bit.
    FUN = "+" does not work in the test since done structurebased.
    spam test is erronous because only tested with non-sparse matrix.
    
    check: OK
    
    See merge request !17

commit 33a37d5a8eee84f2e12ea1688da5c0f3055cbfe6
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Jan 9 17:42:04 2017 +0100

    Kronecker migrated to force64 now functional. Test for + bad because not adapted to sparse test-matrix.

commit a53090141457146b66ba644c6fd8695dcc960a43
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Jan 9 17:40:43 2017 +0100

    Wrong Makefile added before.

commit a2ea160da2baa0eab307f612062cbe4e25aeea11
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Jan 9 17:40:05 2017 +0100

    Makefile now changes TESTFLAG back to bit32 after all tests to not change files.

commit 79f9349a5bebc924ceee543cfac4df156aa6a6d4
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Jan 4 13:54:31 2017 +0100

    Migration of kronecker with errors.

commit b489ba6315c910b4e2fb3a55ce15a3460a6b11d5
Merge: 9ae7202 7627a7f
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Jan 4 13:09:50 2017 +0100

    Merge branch 'foreign' into 'migrate'
    
    Try migrate foreign fcts to C64
    
    Foreign storage formats are not fit for numeric indices -> stop with error msg.
    No sens using .C64 here.
    
    See merge request !16

commit 7627a7ff36486d29c5f792d17ce77757c9dd87fd
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Jan 4 13:06:58 2017 +0100

    Foreign storage formats are not fit for numeric indices -> stop with error msg.

commit 9ae72026fe1160b442ca5a2bb8c33f4e4905d939
Merge: d992912 8e2a967
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Jan 4 11:56:08 2017 +0100

    Merge branch 'permutation' into 'migrate'
    
    Permutation
    
    Migrated permutation function in permutation.R to .C64.
    Not 64bit proof yet. Force64 works.
    Changed sed to sed -i in order to save changes and test force64 option for real.
    
    Check status: OK
    
    See merge request !15

commit 8e2a967987f88dd8e85280b192d8e4689e8bca7b
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Jan 4 11:53:57 2017 +0100

    Made test-permutation and added -i in Makefile to make sed save changes.

commit 5cb4073431d70c63dd4c89755aa23b726c61dc15
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 3 17:28:46 2017 +0100

    First try migration of permutation functions to .C64.

commit d9929127239b58032deda2bc82c417320d4a0324
Merge: e277023 1a2296f
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 3 14:37:02 2017 +0100

    Merge branch 'math' into 'migrate'
    
    Math operations to C64
    
    Migrated math operations namely spam + spam, spam +matrix, spam- spam, spam - matrix, matrix - spam, spam * other.
    All Fortran functions that were in spam/R/math.R
    Check ok.
    
    See merge request !14

commit 1a2296f2b60937277626d4899d247f131d7c5dc3
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 3 14:34:44 2017 +0100

    Rm print statements.

commit ece46845da880cea91485d943d502d9c80718279
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Jan 3 14:25:17 2017 +0100

    Migrated to .C64 addsparse subsparsefull subfullsparse.

commit 66792b43b393e1cb20126f6492b10f0d81191201
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 23 13:42:19 2016 +0100

    Fixed segementation fault bug. Make check fails..

commit 2c0394b8bc1fd031285f7b2da663eadb96cd25df
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 23 12:28:01 2016 +0100

    Multiplication with segmentation fault.

commit e277023927eebbc7a68f89e49b51109b5dddcdba
Merge: a80ecbd b61cbbb
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Dec 20 12:38:39 2016 +0100

    Merge branch 'spam.diag' into 'migrate'
    
    Migrated operators %d*% and %d+% to .C64. No 64bit test yet.
    
    Migrated operators %d*% and %d+% to .C64. No 64bit test yet.
    check ok.
    
    See merge request !13

commit b61cbbbfc221f4f65ae70c2468ca6434f959ce02
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Dec 20 12:37:34 2016 +0100

    Migrated operators %d*% and %d+% to .C64. No 64bit test yet.

commit a80ecbdd5d01ca4ef0419925b99af962c7da2c40
Merge: 473d858 1395cbe
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Dec 19 16:42:01 2016 +0100

    Merge branch 'tri' into 'migrate'
    
    Tri
    
    Migrated upper.tri.spam and lower.tri.spam to .C64
    Test for 64bit not existant yet.
    
    Check ok.
    
    See merge request !12

commit 1395cbeab69d719dbff27beb7174cce41e935a33
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Dec 19 15:28:10 2016 +0100

    Migrated upper.tri.spam and lower.tri.spam to .C64 including test. (not yet test for 64bit).

commit dcaf0ced6a214ea92052db4bb6c3c0ba30633e75
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Dec 19 14:02:52 2016 +0100

    Scratch.

commit 473d8586e7db7ec62b41eff680adc913a2bba2f9
Merge: 82f1c13 a88fd91
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Dec 19 13:50:30 2016 +0100

    Merge branch 'rowcolstats' into 'migrate'
    
    Rowcolstats
    
    Migrated rowcolstats to .C64
    Test: test-rowcolstats.R tests all four functions.
    
    check ok.
    
    See merge request !11

commit a88fd918ee7bcf2cce0a128d03411b983395350f
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Dec 19 13:48:32 2016 +0100

    Fixed bug and improved test on rowcolstats.

commit d556c76679f93263d42fdde9418df27ab7676735
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Dec 18 18:33:21 2016 +0100

    Made a test-rowcolstats.R. There is an error yet, but also with spam1.4.

commit 2dd749705fdb7cd15bd7454c1c4704828c4a3857
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Dec 18 18:30:32 2016 +0100

    Translate rowcolstats to .C64.

commit 82f1c13460ac8a6e48dc6c091f45955d3adcf27a
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Sun Dec 18 16:16:59 2016 +0100

    Scratch.

commit 8533fd1f6eacca03ba36098509edb76eeea15168
Merge: a91da96 57a40e4
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 14 15:25:40 2016 +0100

    Merge branch 'complement.spam' into 'migrate'
    
    Converted complement.spam to .C64.
    
    complement.spam converted to .c64
    
    check ok
    tests ok
    
    See merge request !10

commit 57a40e4455031aec957722d079e80cff9f391534
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 14 15:23:14 2016 +0100

    Converted complement.spam to .C64.

commit a91da96cddf8c50f61bfb01faccd81463f16c198
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 14 11:06:57 2016 +0100

    Cosmetics.

commit a268e0a2af76c83ff03a56afd6acc5e1ff147490
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 14 11:02:32 2016 +0100

    Some scratch.

commit 0a29e90dc40d1b0fb8e34b9fdf3415db10d82a43
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 14 10:48:58 2016 +0100

    Cleanup after merge

commit fa07c6e4db06bad8abefa5b571c16393d68263ba
Merge: 6672935 701b865
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 14 10:35:09 2016 +0100

    Manual merging pad into migrate.

commit 701b86589fd39b8f69d2d8784374aaa65acc23bc
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 14 10:18:45 2016 +0100

    Final adaptions before merging.

commit 8d5c8ccfbab7c4beb477cb2ac016a4df9a64ee6c
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 9 12:07:11 2016 +0100

    Removed if else distinction for rep_int and rep_len_long. Now everything rep_len_long.

commit 3f0bc0d0528e8d44a2750b77c6fd4d40e5469a87
Merge: da6f8cc 7bcdced
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 9 10:25:29 2016 +0100

    Merge branch 'c' into 'pad'
    
    Migration of method "c" "spam" and bugfix at the same time.
    
    check ok
    
    See merge request !7

commit 7bcdced0d5ad038af8b5ebbca46b281b92944a7e
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 9 10:21:26 2016 +0100

    Migration of method "c" "spam" and bugfix at the same time.

commit da6f8ccbc8b7cb04fc3ee468fa6c50017852a1cc
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Wed Dec 7 14:52:14 2016 +0100

    minor edits

commit c4c85850502750323e6087c4e8f195daa8d002c4
Merge: 7e94880 cda11f7
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 7 12:30:39 2016 +0100

    Merge branch 'spam' into 'pad'
    
    Fixed but in as.spam.numeric. (rep_len_long)
    
    rep_len_long was missing in .newSpam.
    
    check ok.
    
    See merge request !6

commit cda11f72b72735eb080fb116b6eab87915adcfb5
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Wed Dec 7 12:24:48 2016 +0100

    Fixed but in as.spam.numeric. (rep_len_long)

commit 7e94880dc09947f8bd4b923affe585c85768db15
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Dec 6 16:53:39 2016 +0100

    Proper test for pad<-, not tested for 64bit yet.

commit 9af15e3abe20de913f381f07006bee826d71465e
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Dec 6 15:03:02 2016 +0100

    First try test-pad.

commit 1ae43285e904f6ba2cedb4025497a2e04cd0d734
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Tue Dec 6 15:02:28 2016 +0100

    Pad <- ready. Only need migrate test from scratch to proper test-file.

commit a4045703db01c603c09a13be5a3094c10e6cf56e
Merge: 56709ae 957977b
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 18:00:29 2016 +0100

    Merge branch 'as.spam.numeric' into 'pad'
    
    As.spam.numeric bugfix
    
    Bug: as.spam.numeric was not 64 bit compatible. Should be now.
    as.spam.numeric now force64 compatible.
    test for 32bit and force64 exist. 64bit not yet.
    make check ok.
    
    See merge request !5

commit 957977b4939795c9ab57df454a8124a0ac93aab3
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 17:57:22 2016 +0100

    Bugfix and adaptation to force64 of as.spam.numeric.

commit fec4fc81f12372c78cca9370fb084b1303426478
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 17:53:53 2016 +0100

    Test as.spam.numeric for 32bit and force64. 64bit missing.

commit f018915c458b7daf60427b5e8e43915ea0230b82
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 14:13:00 2016 +0100

    Test-rep_len_long.R

commit ec1b3f5eb504f5ad7a1be7014d829221aaae8c83
Merge: 1a9b0f4 666106a
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 14:06:50 2016 +0100

    Merge branch 'rep_len_long' into 'as.spam.numeric'
    
    Rep len long
    
    Fixed bug in rep_len_long and added a test which is not sure to work since only invoked with testflag 64bit. check ok.
    
    See merge request !4

commit 666106a5c7bad684336dfb0827a13aed77fa6e12
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 14:04:43 2016 +0100

    Cosmetics in rep_len_long.R

commit c0a24c534a9edaeb755f5660b5854854e0b45902
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 11:30:33 2016 +0100

    Option PACKAGE was missing in .C64 call.

commit 825f27d85ffd8dc3e70ac11e6d45bc97879428c8
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 11:18:35 2016 +0100

    Clarified if else return structure.

commit 582c6b3e3550e08cb510cb117d353ae61963983d
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 11:12:13 2016 +0100

    Added error msg (rep_len_long).

commit babb859ed910fb9da17a2cfc7d19efe3d97259a9
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 11:10:11 2016 +0100

    Found error in rep_len_long (cf.top of scratch file)

commit b49cfbfde5e0604e207d07b08b91264b22b93b74
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Fri Dec 2 11:09:36 2016 +0100

    Added as.numeric in sum of as.spam.numeric

commit 1a9b0f4fe2fdd8cc847c5dd33c509c8e03138f56
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Dec 1 22:52:47 2016 +0100

    New bug in as.spam.numeric, provoked by spam(c(1:2^31+5))

commit 56709ae5b8cd8eac2a3c3dce9917e090f785c23e
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Dec 1 22:48:30 2016 +0100

    Continued prototype test in scrach.R

commit d7b043c8d2e5252a13249dda4a0a773c8fb5532a
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Dec 1 22:46:43 2016 +0100

    Adapted name of function to test.

commit 9af2a594857b36bfb78553700fb1b46873d71e0c
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Dec 1 21:11:43 2016 +0100

    pad <- migrated, in scrach.R contains test 32bit, force64. 64 is due.

commit 6672935bf5f004b706a5e4f62516f8a11f3c3779
Merge: eb9c336 4e00427
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Dec 1 15:35:41 2016 +0100

    Merge branch 'as.matrix.spam' into 'migrate'
    
    As.matrix.spam
    
    Error in makefile
    
    See merge request !2

commit 4e00427882ef23ca1b2466da81d6548c4da7a3fe
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Dec 1 15:32:25 2016 +0100

    Error in Makefile, added 'update' to make lib

commit 08026c397c84d05a877b95df37d04795d0cc44ea
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Nov 28 22:30:14 2016 +0100

    ..

commit a9bb91eaf4119b73386a6d437fc63868276e50fe
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Nov 28 22:24:53 2016 +0100

    add old as.matrix.spam()

commit da2c2364894a2a557ba241483cbbb1a78dbbea27
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Nov 28 21:15:21 2016 +0100

    vector -> vector_dc

commit 34233038d96ad52147955b1f3cb614cc09ba887f
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Nov 28 13:39:47 2016 +0100

    Tracking as.matrix.spam error.

commit c69174de9c56b9149a84946caaf8c1726741bffc
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Mon Nov 28 13:04:00 2016 +0100

    Error in definitions.R in as.matrix.spam identified.

commit 0453ea2ac21d4408d0b3eb1f11090783453e2628
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Nov 24 16:01:46 2016 +0100

    Migrate pad<- in dim.R, scratch for test, not functional yet.

commit eb9c336302f5eb42bdb35f4592a53da075bb4637
Merge: bd0ea24 d042b0e
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Nov 24 15:42:10 2016 +0100

    Merge branch 'as.spam.matrix-issue' into 'migrate'
    
    bug fix as.spam.matrix in definitions.R
    
    fixed as.spam.matrix (replaced ("new" spam) with .newSpam)
    
    make check  returned status OK
    
    See merge request !1

commit d042b0e378d54bbd5fc36d0403cf1281959b1f2a
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Nov 24 14:58:28 2016 +0100

    bug fix as.spam.matrix in definitions.R

commit bd0ea2456f770dd4aaad88f099de754bb9446379
Author: Daniel Gerber <daniel_gerber_2222@hotmail.com>
Date:   Thu Nov 24 14:01:06 2016 +0100

    maybe error in as.spam(A, force64 = TRUE)

commit 4f28016c068b87b526bd31d843b5f0cfe337f940
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Tue Nov 22 20:18:05 2016 +0100

    testing setup

commit d7ceb02b1f887266a9ad7d2553a682992045941b
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Sat Nov 19 11:36:59 2016 +0100

    bug: integr*intger can give overflow. use double!

commit e68bc46c532be8bded5ca079663d928025d85f1f
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Nov 17 10:51:36 2016 +0100

    try C&G (2)

commit 285c95d69649bfbd16fad686ea8d42bb46bce09a
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Tue Nov 15 14:24:34 2016 +0100

    fix strange gctorutre() error

commit 9413b008decb3fb37e472091032794944a0eabf9
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Nov 10 22:23:42 2016 +0100

    try C&G (1)

commit 400c6c66e3140fd6a1c8c9e11f286f3385c15411
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Tue Nov 8 17:00:36 2016 +0100

    fortran code now compatible with sed

commit 98b59450e9d4ebbe560c673ec9d628b77b084cbf
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Tue Nov 8 09:01:33 2016 +0100

    implicit none in fromsparsekit.f

commit c7fbfc9fc99291b022d43d525197cb9e905fd89a
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Nov 7 21:24:50 2016 +0100

    docu

commit a59f8398d39213fb3b57a402b75e0c620d7d77a4
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Nov 7 21:21:58 2016 +0100

    makefile to compile .f and .c files separately

commit 67a32f518e0fb0f6dda2f5c6ab973901140adeba
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Nov 7 09:36:21 2016 +0100

    .newSpam is not copying

commit a2cc4814fa0cb9ae0d51307382f1540e65e8d8fd
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Nov 7 09:22:13 2016 +0100

    Makefile -> to tests demos

commit c464426f1ca59dd2655be2bf783afb669c930a33
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Fri Nov 4 21:25:22 2016 +0100

    grep_reverse_dependencies.R

commit 63a3d379c24d19c822506f29adfcb67f8fcae25b
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Fri Nov 4 16:33:42 2016 +0100

    add demo + non testthat tests

commit 87da4fa3d3adf767502fd6a48139871a457c2d1f
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Fri Nov 4 15:02:49 2016 +0100

    testthat test run without error

commit fa54b085956c46885197afa00bbc5e02318b8012
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Fri Nov 4 08:53:41 2016 +0100

    more tests

commit 7744c0fcdf83fc740ed5836807628b926a44f42a
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Nov 3 22:30:04 2016 +0100

    more tests

commit bcef06b6f72e001da42a6b5ea41b94a5a1d9ce3d
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Nov 3 21:40:18 2016 +0100

    move back to options(spam.??) because of testthat

commit c431eaec21f571410ceb9e56417ea2d6d707e841
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Wed Nov 2 21:22:38 2016 +0100

    make .Fortran() more secure with as.integer()

commit ce8d4153e44a2fa206eed43386c7ad3bd0c417d0
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Wed Nov 2 20:24:55 2016 +0100

    update help

commit f3d8e04dd1b763d7536be89fb3828c0d0af5b84a
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Tue Nov 1 21:24:18 2016 +0100

    merge Fortran code; clear R code; examples run without error

commit 4c5a475fd8c115470b6f17e9c2ed1a9bacc6c807
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Oct 31 21:11:02 2016 +0100

    ...

commit ae45c8f87bce80a61233aadea628c97ae4399f05
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Oct 31 17:35:26 2016 +0100

    ..R CMD checking ...

commit 30e2d841dd61ff9c0e6e1d364dc0adacf65ac775
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Oct 31 13:22:20 2016 +0100

    migration of R code done. tests needed ;-)

commit 0d444d23de9bc975d608f929e42f174273821897
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Oct 31 09:52:37 2016 +0100

    migrate R code 2

commit 592637f5e2fdb527dd40bcd8c37c2cc12eacd75c
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Oct 31 08:41:56 2016 +0100

    migrate R code 1

commit 0a6648d78aecdd9b55cc2ef6cce8ab6abf6df2c0
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Fri Oct 28 11:27:24 2016 +0200

    xybind

commit f42b64226d668ecbf8e5cb5931beaf6365419e6f
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Oct 27 22:14:53 2016 +0200

    use spam.options()

commit 64fbcff16647f3acb9d6a6408cc3535c663e35b9
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Oct 27 19:10:21 2016 +0200

    validate_spam() in .format.spam()

commit 496b6e68e9dac787b65e97c303dd0fc764abf784
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Oct 27 14:39:05 2016 +0200

    .format.spam()

commit 2d720fec5bc333a6cba32c1e5512249ca272ef5a
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Oct 27 12:58:30 2016 +0200

    reduce .FORMAT.?? to have name, typem signature, package.

commit ad3fe70afa93dd3b0af591c9f80b8fba3f3cb46f
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Oct 27 10:24:41 2016 +0200

    rm roxygen directives

commit 4107dbdb4ecf5e3b6eba1188ae55f10a5acb5983
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Oct 27 09:58:20 2016 +0200

    rm vector.dirty()

commit ba250b6e5299a3ecb94f58b5d3c3bc45e0cf19a0
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Oct 17 10:46:47 2016 +0200

    fix big in spam(); provide rep_len_long()

commit 171cf709d32213e41e860f123d44457564c8cc55
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Oct 17 10:11:54 2016 +0200

    do not C fct. use as_spam_matrix() (need to be updated to new C API of dotCall64)

commit c4fb0dc5cb6d29a0bed991f7b8ea19fe216e651d
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Oct 17 09:40:20 2016 +0200

    rm dotCall64* files and linkingTo dotCall64 instead

commit 873c886fa5a29f78fc82a4dc81b61f6dcc9019c9
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Sat Oct 15 23:31:16 2016 +0200

    all calls to Fortran are now with .C64()

commit 8fdef185df88004358d1a5e86b9bf47f2e6bf5c7
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Sat Oct 15 21:48:34 2016 +0200

    add submodule dotCall64

commit 0c5ebf7b6bc3b07f29bf09dc6e1e6c73a5f02db1
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Sat Oct 15 00:08:11 2016 +0200

    cleanup and first Makefile

commit b14163b05a47ee7665da6a1e6e4127e185d58539
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Fri Oct 14 21:56:24 2016 +0200

    add spam from submitted C&G

commit f658620c3d2f25f4fb1b1ba5e6cb6ebfc43f831b
Author: Kaspar Mösinger <kaspar.moesinger@gmail.com>
Date:   Wed Sep 28 23:54:20 2016 +0200

    Initial version of spam based on dotCall64

commit 40d84126e0a2a0968d099efd42d84c0a3055b22b
Author: Kaspar Mösinger <kaspar.moesinger@gmail.com>
Date:   Wed Sep 28 23:50:05 2016 +0200

    Rename previous package

commit 820887f7b19236ad68430f61532ab0f710968f6b
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 30 08:18:27 2016 +0200

    version 1.4

commit 1342a2b7eb9b3e669cce0dfd2a26c5160af0673a
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Mon Aug 29 23:07:28 2016 +0200

    some more for next release

commit 53bb54e7da6c53ccb5152ce511fe87d2c90e6704
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Mon Aug 29 23:06:44 2016 +0200

    gfortran compiling: cleaning most of...

commit 20f7b4e6e788e53bca4974e1cb48b210110abbff
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Fri Oct 30 09:31:36 2015 +0100

    Additions of .save

commit 3f4033bffe257dd62b4408d420dff6fd12bbceda
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Mon Oct 26 16:04:03 2015 +0100

    JL bugfix

commit 749a73a08b4fe4bf2a26c0bb3fbcc54e2418192b
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Fri Oct 23 12:53:08 2015 +0200

    version 1.2.1

commit f8433f721291cce4dcd9a62519ebbd55d90a56f0
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Sep 1 21:28:47 2015 +0200

    add technical vignette

commit 74da80bc1e66b51c553fcfd3ff05a34131133f8b
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 25 11:36:02 2015 +0200

    Correct headers

commit f3da9a367c1c24a39feae847007a0e6476a57159
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 25 11:04:20 2015 +0200

    addressing checks p2

commit 165b06bbe2b7179f3f11f6eb2866f0979ba888a1
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 25 11:03:36 2015 +0200

    addressing checks

commit a291c56ed237afc1f4125ff7c9dc87132af64081
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Wed Jan 21 16:16:58 2015 +0100

    Changed names of jss15 demo, tests and vignette
    
    	renamed:    spam/vignettes/v63c01-vignette.pdf -> spam/vignettes/jss15.pdf
    	renamed:    spam/vignettes/v63c01-vignette.pdf.asis -> spam/vignettes/jss15.pdf.asis
    	deleted:    spam/tests/jss_areal_counts.R
    	deleted:    spam/tests/jss_areal_counts.Rout.save

commit 6e809a091014760db7d164d6e37fa6e9f4ac59d3
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Jan 19 22:43:44 2015 +0100

    Add citation
    	modified:   spam/inst/CITATION

commit cb090dd4365455f6fdd32ce647aedcfd526c0941
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Mon Jan 19 12:49:05 2015 +0100

    - add vignette: JSS-Areal Cound Data
    - add demos: jss-BYM.R and jss-Lereux.R
    - add corresponding tests
    
    - spam/tests/demo_article-jss-Leroux.R uses the R package 'trucdist'.
      Is this a problem?
    
    	new file:   spam/demo/jss-BYM.R
    	new file:   spam/demo/jss-Leroux.R
    	new file:   spam/tests/demo_article-jss-BYM.R
    	new file:   spam/tests/demo_article-jss-Leroux.R
    	new file:   spam/vignettes/v63c01-vignette.pdf
    	new file:   spam/vignettes/v63c01-vignette.pdf.asis

commit b56cd794f8f9dab2b7544f014d8a42bf050db193
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Sun Oct 19 17:57:50 2014 +0200

    DESCRIPTION and NAMESPACE

commit 4df6020434afbcc6716c5a7df0ed848bd587e8d8
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Sun Oct 19 07:41:13 2014 +0200

    DUP removal

commit 3823eb2a93ac5466ec368de81a294c63fd9c8ddd
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Sep 9 12:53:07 2014 +0200

    Addressing  approach

commit fcc8e87858c7b77b3ef038b30b229bbeb2bafeca
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Sat Sep 6 22:15:47 2014 +0200

    Getting towards CRAN release

commit 4f7ddb20efaf89efea79eaf03dfb411f293c36c4
Merge: 55a7ace 764935f
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Sat Sep 6 21:32:58 2014 +0200

    Merge remote-tracking branch 'origin/tests_jss_areal_mapping'

commit 55a7acee168a7bb260e90a32a60107c21e306f67
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Sat Sep 6 14:35:30 2014 +0200

    Help adjusts

commit 764935f9f09336c07b316b3ccce923c94ca4d214
Author: Florian Gerber <florian.gerber@math.uzh.ch>
Date:   Thu Sep 4 10:55:54 2014 +0200

    test script for BYM sampler of JSS-disease paper
    
    - inclusion of Leroux sampler not possible. depends on package:trucdist
    
    	new file:   tests/jss_areal_counts.R

commit 9bf9597b6440aa40575d37544fad1a79e3546e0e
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Sep 3 23:43:33 2014 +0200

    corrected update

commit 8ad11ea5c7eaddc8595716bdb5906eebd0cdec58
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Thu Aug 28 12:32:09 2014 +0200

    Coercion and Wrappers... set to 0.80

commit 7fc3c8aa594195a11f0002a9bf73f5ebf0ec8452
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 26 16:57:09 2014 +0200

    coerce functions, ifelse works!

commit a7177a6dce0d3c4e4642c303ec8c21040462d7ee
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Thu Aug 21 21:21:10 2014 +0200

    first version of 0.60-0

commit 0cd661154bc24ce7c05a25b87d1781bfd99ac5bc
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Aug 13 16:06:28 2014 +0200

    final fixes for freeze of version 0.50-0

commit d85f2d2f4f181ae066c248774081edb0de4f7d96
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Aug 13 13:33:25 2014 +0200

    Test to pass non finite numbers through some fortran routines

commit 55391e836d2f467b013b781fdddc2b97c281a837
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Aug 13 10:11:48 2014 +0200

    First stab at coherent 'Math' group handling

commit 408115340155aac74e07501243eb27b34bdfc6eb
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 12 21:32:26 2014 +0200

    first stab at coherent 'dim' and structure based operators

commit 005135896e0f4f516fdbaa0d22f3e8580b24c808
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 12 10:47:37 2014 +0200

    Bugfix assignment

commit 36024017dfc777baf510c6780fe5aecbf230c4e6
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 12 10:35:47 2014 +0200

    constructor: rowpointers part II

commit 308101b2ee6311f33e783f6c6f09c2b4f444984d
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 12 10:34:55 2014 +0200

    constructor: rowpointers

commit 869bf80ef88bc93e343f99bc062a6bc5aa59b258
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 12 07:15:16 2014 +0200

    crossprod help file and additional todo

commit cdab58b0a625eacff0c4d9e3855b41349016324c
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Tue Aug 12 07:09:44 2014 +0200

    News and Rd adjustment

commit 775bf4c3ba574f8a0d89669eb0eaebfd8c06069f
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Mon Aug 11 21:24:23 2014 +0200

    added crossprod and eliminated [d,i]check

commit 78b101b99739be585f2c4c27e37733df32b7b088
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Jun 11 20:35:48 2014 +0200

    Fixed version number

commit f21c8dfed9903a761c8306ba1cbe7db56a137136
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Jun 11 20:33:13 2014 +0200

    Eliminating nested structure

commit 95fcaf89166c0029f3933bdcce27fa25eeb80b4e
Author: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Date:   Wed Jun 11 20:27:33 2014 +0200

    first commit
